
var markerOptions_attraction = ['general'];
var markerOptions_eatery = ['information', 'shop', 'eatery'];
var markerOptions_toilets = ['toilets'];
var markerOptions_transportation = ['bus', 'parking', 'lake-jetty'];
//var markerOptions_tour = ['tour_blue', 'tour_brown', 'tour_green', 'tour_orange', 'tour_pink', 'tour_purple', 'tour_red', 'tour_yellow'];
var markerOptions_tour = [];
var markerOptions_system = ['temp'];

var addToMyDayOptions={};

var markerOptions = [];
markerOptions = markerOptions.concat(markerOptions_attraction);
markerOptions = markerOptions.concat(markerOptions_eatery);
markerOptions = markerOptions.concat(markerOptions_toilets);
markerOptions = markerOptions.concat(markerOptions_transportation);
markerOptions = markerOptions.concat(markerOptions_tour);
markerOptions = markerOptions.concat(markerOptions_system);

markerOptions.sort(function(a, b){
	 var nameA=a.toLowerCase(), nameB=b.toLowerCase();
	 if (nameA < nameB) //sort string ascending
	  return -1;
	 if (nameA > nameB)
	  return 1;
	 return 0; //default return value (no sorting)
	});
//console.log(JSON.stringify(markerOptions))
appendToAddToMyDayOptions(markerOptions_attraction);
//appendToAddToMyDayOptions(markerOptions_eatery);
//appendToAddToMyDayOptions(markerOptions_transportation);


function appendToAddToMyDayOptions(markers){
	for (var key in markers) {
		addToMyDayOptions[markers[key]] = true;
	}

}

function canBeAddedToMyDay(markerType){
	 return addToMyDayOptions[markerType];
}

var defaultMarkerOption = 'general';


var markerStylesTemplates = {
	'default': {
		"normal":{
					anchor: [0.5, 0.5],
					anchorXUnits: 'fraction',
					anchorYUnits: 'fraction',
					scale: 0.5,
					opacity :1,
					'icon_dir': './assets/marker_icons/normal/',
					'icon_ext': '.png',
				},
		"tour": {
					anchor: [0.5, 0.5],
					anchorXUnits: 'fraction',
					anchorYUnits: 'fraction',
					scale: 0.5,
					opacity :1,
					'icon_dir': './assets/marker_icons/normal/',
					'icon_ext': '.png',
				},
		"visited": {
					anchor: [0.5, 0.5],
					anchorXUnits: 'fraction',
					anchorYUnits: 'fraction',
					scale: 0.5,
					opacity :1,
					'icon_dir': './assets/marker_icons/normal/',
					'icon_ext': '.png',
				},
		'preview_file': './assets/marker_icons/preview/generic.jpg',
		'preview_base': './assets/marker_icons/preview/',
		'preview_ext': '.jpg',

	},

	'general': {
		"normal":{
					anchor: [0.5, 0.5],
					anchorXUnits: 'fraction',
					anchorYUnits: 'fraction',
					scale: 0.4,
					opacity :1,
					'icon_dir': './assets/marker_icons/normal/',
					'icon_ext': '.png',
				},
		"tour": {
					anchor: [0.5, 0.5],
					anchorXUnits: 'fraction',
					anchorYUnits: 'fraction',
					scale: 0.4,
					opacity :1,
					'icon_dir': './assets/marker_icons/tour/',
					'icon_ext': '.png',
				},
		"visited": {
					anchor: [0.5, 0.5],
					anchorXUnits: 'fraction',
					anchorYUnits: 'fraction',
					scale: 0.4,
					opacity :1,
					'icon_dir': './assets/marker_icons/visited/',
					'icon_ext': '.png',
				},
		'preview_file': './assets/marker_icons/preview/generic.jpg',
		'preview_base': './assets/marker_icons/preview/',
		'preview_ext': '.jpg',
	},
	'general-small': {
		"normal":{
					anchor: [0.5, 0.5],
					anchorXUnits: 'fraction',
					anchorYUnits: 'fraction',
					scale: 0.4,
					opacity :1,
					'icon_dir': './assets/marker_icons/normal/',
					'icon_ext': '.png',
				},
		"tour": {
					anchor: [0.5, 0.5],
					anchorXUnits: 'fraction',
					anchorYUnits: 'fraction',
					scale: 0.4,
					opacity :1,
					'icon_dir': './assets/marker_icons/tour/',
					'icon_ext': '.png',
				},
		"visited": {
					anchor: [0.5, 0.5],
					anchorXUnits: 'fraction',
					anchorYUnits: 'fraction',
					scale: 0.4,
					opacity :1,
					'icon_dir': './assets/marker_icons/visited/',
					'icon_ext': '.png',
				},
		'preview_file': './assets/marker_icons/preview/generic.jpg',
		'preview_base': './assets/marker_icons/preview/',
		'preview_ext': '.jpg',
	},

	'temp': {
		"normal":{
					anchor: [0.5, 0.5],
					anchorXUnits: 'fraction',
					anchorYUnits: 'fraction',
					scale: 0.4,
					opacity : 0,
					'icon_dir': './assets/marker_icons/normal/',
					'icon_ext': '.png',
				},
		"tour": {
					anchor: [0.5, 0.5],
					anchorXUnits: 'fraction',
					anchorYUnits: 'fraction',
					scale: 0.4,
					opacity : 0,
					'icon_dir': './assets/marker_icons/normal/',
					'icon_ext': '.png',
				},
		"visited": {
					anchor: [0.5, 0.5],
					anchorXUnits: 'fraction',
					anchorYUnits: 'fraction',
					scale: 0.4,
					opacity : 0,
					'icon_dir': './assets/marker_icons/normal/',
					'icon_ext': '.png',
				},
		'preview_file': './assets/marker_icons/preview/generic.jpg',
		'preview_base': './assets/marker_icons/preview/',
		'preview_ext': '.jpg',
	},
}

var markerStyles={};

function initMarkerStyles()


{
	for (var key in markerOptions) {
		var markerDefDic ={};
		var markerName = markerOptions[key];
		var styleTemplateKey = 'default';
		if(markerStylesTemplates[markerName]){
			styleTemplateKey = markerName;
		}
		var styleTemplate = markerStylesTemplates[styleTemplateKey];
		var default_preview=styleTemplate['preview_file'];
		if (styleTemplate['preview_base']){
			default_preview = styleTemplate['preview_base']+markerName+styleTemplate['preview_ext'];

		}

		var markerStyleNormal = {
		"normal": new ol.style.Style({
			image: new ol.style.Icon(/** @type {olx.style.IconOptions} */
				({
					anchor: styleTemplate["normal"].anchor,
					anchorXUnits: styleTemplate["normal"].anchorXUnits,
					anchorYUnits: styleTemplate["normal"].anchorYUnits,
					scale: styleTemplate["normal"].scale,
					opacity: styleTemplate["normal"].opacity,
					src: styleTemplate["normal"]['icon_dir'] + markerName + styleTemplate["normal"]['icon_ext']
				}))

		}),
		"tour": new ol.style.Style({
			image: new ol.style.Icon(/** @type {olx.style.IconOptions} */
				({
					anchor: styleTemplate["tour"].anchor,
					anchorXUnits: styleTemplate["tour"].anchorXUnits,
					anchorYUnits: styleTemplate["tour"].anchorYUnits,
					scale: styleTemplate["tour"].scale,
					opacity: styleTemplate["tour"].opacity,
					//src: styleTemplate["tour"]['icon_dir'] + markerName + styleTemplate["tour"]['icon_ext']
					src: styleTemplate["tour"]['icon_dir'] + markerName + styleTemplate["tour"]['icon_ext']
				}))
		}),
		"visited": new ol.style.Style({
			image: new ol.style.Icon(/** @type {olx.style.IconOptions} */
				({
					anchor: styleTemplate["visited"].anchor,
					anchorXUnits: styleTemplate["visited"].anchorXUnits,
					anchorYUnits: styleTemplate["visited"].anchorYUnits,
					scale: styleTemplate["visited"].scale,
					opacity: styleTemplate["visited"].opacity,
					src: styleTemplate["visited"]['icon_dir'] + markerName + styleTemplate["visited"]['icon_ext']
				}))
		}),
		'default_preview': default_preview,
		}
		markerStyleNormal['normal']['defaultScale'] = styleTemplate["normal"].scale;
		//console.log(styleTemplate["normal"]['icon_dir'] + markerName + styleTemplate["normal"]['icon_ext']);
		//console.log(styleTemplate['preview_dir'] + markerName + styleTemplate['preview_ext']);
		var markerStyleTour = {
					"normal": new ol.style.Style({
			image: new ol.style.Icon(/** @type {olx.style.IconOptions} */
				({
					anchor: styleTemplate["normal"].anchor,
					anchorXUnits: styleTemplate["normal"].anchorXUnits,
					anchorYUnits: styleTemplate["normal"].anchorYUnits,
					scale: styleTemplate["normal"].scale,
					opacity: styleTemplate["normal"].opacity,
					src: styleTemplate["normal"]['icon_dir'] + markerName + styleTemplate["normal"]['icon_ext']
				}))

		}),
		"tour": new ol.style.Style({
			image: new ol.style.Icon(/** @type {olx.style.IconOptions} */
				({
					anchor: styleTemplate["tour"].anchor,
					anchorXUnits: styleTemplate["tour"].anchorXUnits,
					anchorYUnits: styleTemplate["tour"].anchorYUnits,
					scale: styleTemplate["tour"].scale,
					opacity: styleTemplate["tour"].opacity,
					src: styleTemplate["tour"]['icon_dir'] + markerName + styleTemplate["tour"]['icon_ext']
				}))
		}),
		"visited": new ol.style.Style({
			image: new ol.style.Icon(/** @type {olx.style.IconOptions} */
				({
					anchor: styleTemplate["visited"].anchor,
					anchorXUnits: styleTemplate["visited"].anchorXUnits,
					anchorYUnits: styleTemplate["visited"].anchorYUnits,
					scale: styleTemplate["visited"].scale,
					opacity: styleTemplate["visited"].opacity,
					src: styleTemplate["visited"]['icon_dir'] + markerName + styleTemplate["visited"]['icon_ext']
				}))
		}),
		'default_preview': default_preview,
		}
		markerStyleTour['tour']['defaultScale'] = styleTemplate["tour"].scale;
		markerStyleTour['visited']['defaultScale'] = styleTemplate["visited"].scale;
		markerStyles[markerName] = markerStyleNormal;
		markerStyles[markerName+'_tour'] = 	markerStyleTour;
	}
  //  for (var key in markerStyles) {
	//	console.log(key)
//	}



}

initMarkerStyles();
