

var searchOptionsDef_en = [
	{
		'id' : '0',
		'types' : markerOptions_attraction,
		'name' : 'Points of Interest',
		'icon' : '././img/search-exit.svg',
		'disabled' : false,
    'hide' : false,
	},
	{
		'id' : '1',
		'types' : markerOptions_toilets,
		'name' : 'Toilets',
		'icon' : '././img/search-toilets.svg',
		'disabled' : false
	},
	{
		'id' : '2',
		'types' : markerOptions_eatery,
		'name' : 'Visitor Centre, Gift Shop & Cafe',
		'icon' : '././img/search-food.svg',
		'disabled' : false
	},
	{
		'id' : '3',
		'types' : markerOptions_transportation ,
		'name' : 'Transportation',
		'icon' : '././img/search-transportation.svg',
		'disabled' : false,
    'hide' : false,
	},
	{
		'id' : '12',
		'types' : ['general_tour','general-small_tour'],
		'name' : 'Tour Stops',
		'icon' : '././img/search-tour.svg',
		'disabled' : true,
		'hide' : true,
	},

]

var searchOptionsDef_zh_Hans = [
	{
		'id' : '0',
		'types' : markerOptions_attraction,
		'name' : '演出与活动',
		'icon' : '././img/search-talks.svg',
		'disabled' : true
	},
	{
		'id' : '1',
		'types' : markerOptions_toilets,
		'name' : '洗手间',
		'icon' : '././img/search-toilets.svg',
		'disabled' : false
	},
	{
		'id' : '2',
		'types' : markerOptions_eatery,
		'name' : '餐厅 & 野餐桌',
		'icon' : '././img/search-food.svg',
		'disabled' : false
	},
	{
		'id' : '3',
		'types' : markerOptions_transportation ,
		'name' : '交通',
		'icon' : '././img/search-transportation.svg',
		'disabled' : false
	},
	{
		'id' : '12',
		'types' : ['general_tour','general-small_tour'],
		'name' : 'Tour Stops',
		'icon' : '././img/search-tour.svg',
		'disabled' : true,
		'hide' : true,
	},

]




var searchDefDic = {
	'en' : searchOptionsDef_en,
	'zh_Hans' : searchOptionsDef_zh_Hans,

}
var searchOptionsDef;

function initSearchOptionsDef (){
	 searchOptionsDef = searchDefDic[language];
}
